﻿/**Begin D:\PDM_UPGRADE\PDM1\AM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_ACCTCLOSEBILL' AND KSQL_COL_NAME IN ('FENTERACCOUNTID')) 
 ALTER TABLE T_AM_ACCTCLOSEBILL ADD (FENTERACCOUNTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_BUSINESSMATTERS') 
 CREATE TABLE T_AM_BUSINESSMATTERS (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGEFIELD VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_BUSINESSMATTERS_L') 
 CREATE TABLE T_AM_BUSINESSMATTERS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCOUNTBANKS_F') 
 CREATE TABLE T_BD_ACCOUNTBANKS_F (
FID BIGINT DEFAULT 0 NOT NULL,
FISMONEYPOOL CHAR(1) DEFAULT '0' NOT NULL,
FLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSMATTERSID BIGINT DEFAULT 0 NOT NULL,
FMERCHANTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FISOPENPOS CHAR(1) DEFAULT '0' NOT NULL,
FPOSCOUNT BIGINT DEFAULT 0 NOT NULL,
FENTERACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FDEPOSITTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAGREEMENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAGREELIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUPONFREQUENCY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_BANKACCOUNT_POS') 
 CREATE TABLE T_AM_BANKACCOUNT_POS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ACCOUNTBANKS_PER') 
 CREATE TABLE T_AM_ACCOUNTBANKS_PER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNETGRANT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNETGRANTCURID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ACCOUNTBANKS_SIG') 
 CREATE TABLE T_AM_ACCOUNTBANKS_SIG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSIGNETTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNETNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNETKEEPERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ACCOPENBILL_POS') 
 CREATE TABLE T_AM_ACCOPENBILL_POS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ACCOPENBILL_PER') 
 CREATE TABLE T_AM_ACCOPENBILL_PER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNETGRANT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNETGRANTCURID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ACCOPENBILL_SIG') 
 CREATE TABLE T_AM_ACCOPENBILL_SIG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSIGNETTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNETNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNETKEEPERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ACCOPENBILL_F') 
 CREATE TABLE T_AM_ACCOPENBILL_F (
FID BIGINT DEFAULT 0 NOT NULL,
FISMONEYPOOL CHAR(1) DEFAULT '0' NOT NULL,
FLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSMATTERSID BIGINT DEFAULT 0 NOT NULL,
FMERCHANTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FISOPENPOS CHAR(1) DEFAULT '0' NOT NULL,
FPOSCOUNT BIGINT DEFAULT 0 NOT NULL,
FENTERACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FDEPOSITTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAGREEMENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAGREELIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUPONFREQUENCY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ACCTCLOSEBILL_SIG') 
 CREATE TABLE T_AM_ACCTCLOSEBILL_SIG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSIGNETTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNETNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNETKEEPERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ACCTCLOSEBILL_PER') 
 CREATE TABLE T_AM_ACCTCLOSEBILL_PER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNETGRANT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNETGRANTCURID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_CHANGEAPPLY_SIG') 
 CREATE TABLE T_AM_CHANGEAPPLY_SIG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSIGNETTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNETNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNETKEEPERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_CHANGEAPPLY_PER') 
 CREATE TABLE T_AM_CHANGEAPPLY_PER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNETGRANT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNETGRANTCURID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_CHANGEAPPLY_F') 
 CREATE TABLE T_AM_CHANGEAPPLY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FISMONEYPOOL CHAR(1) DEFAULT '0' NOT NULL,
FLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSMATTERSID BIGINT DEFAULT 0 NOT NULL,
FMERCHANTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FISOPENPOS CHAR(1) DEFAULT '0' NOT NULL,
FPOSCOUNT BIGINT DEFAULT 0 NOT NULL,
FENTERACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FDEPOSITTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAGREEMENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAGREELIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUPONFREQUENCY VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\AM_table.sql **/
